#define L3GD20_WHO_AM_I 0x0F
#define L3GD20_CTRL_REG1 0x20
#define L3GD20_CTRL_REG2 0x21
#define L3GD20_CTRL_REG3 0x22
#define L3GD20_CTRL_REG4 0x23
#define L3GD20_CTRL_REG5 0x24
#define L3GD20_OUT_TEMP 0x26
#define L3GD20_STATUS_REG 0x27
#define L3GD20_OUT_X_L 0x28
#define L3GD20_OUT_X_H 0x29
#define L3GD20_OUT_Y_L 0x2A
#define L3GD20_OUT_Y_H 0x2B
#define L3GD20_OUT_Z_L 0x2C
#define L3GD20_OUT_Z_H 0x2D
#define L3GD20_FIFO_CTRL_REG 0x2E

#define L3GD20_W_ADDRESS  0xD6
#define L3GD20_R_ADDRESS  0xD7

typedef struct{
  int X_AXIS;
  int Y_AXIS;
  int Z_AXIS;
} GData;

unsigned short Gyro_Init();
unsigned short Identify_Gyro();
unsigned short L3GD20_GetAngRateRaw(GData *buff);
unsigned short L3GD20_Configure(unsigned char address, unsigned short config);